# $Revision: 1.21 $, $Date: 2004/04/04 15:07:05 $
Summary:	Pchar: A Tool for Measuring Net Path Characteristics
Summary(pl):	Pchar: Narzdzie do okrelania charakterystyk pocze sieciowych
Name:		pchar
Version:	1.4
Release:	7
License:	BSD
Group:		Applications/Networking
Source0:	http://www.employees.org/~bmah/Software/pchar/%{name}-%{version}.tar.gz
# Source0-md5:	e7b41a8eaf7972e1b19c214189c9ccef
Patch0:		%{name}-ac_fixes.patch
Patch1:		%{name}-build.patch
URL:		http://www.employees.org/~bmah/Software/pchar/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRequires:	net-snmp-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pchar is a reimplementation of the pathchar utility written by Van
Jacobson, formerly of Lawrence Berkeley Laboratories. Both programs
attempt to characterize the bandwidth, latency, and loss of links
along an end-to-end path through the network.

%description -l pl
Pchar jest reimplementacj programu pathchar napisanego przez Van
Jacobsona z Lawrence Berkeley Laboratories. Pozwala na okrelenie
charakterystyk przepustowoci, opnienia i strat pakietw na czach
poprzez sie.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* .
%{__autoconf}
CXXFLAGS="%{rpmcflags} -fno-exceptions -fno-rtti -fno-implicit-templates"
%configure \
	--with-ipv6 \
	--without-pcap \
	--with-snmp
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8}

install pchar $RPM_BUILD_ROOT%{_bindir}/pchar
install pchar.8 $RPM_BUILD_ROOT%{_mandir}/man8/pchar.8

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README FAQ CHANGES
%attr(755,root,root) %{_bindir}/pchar
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: pchar.spec,v $
Revision 1.21  2004/04/04 15:07:05  qboosh
- typo

Revision 1.20  2004/04/04 14:45:03  qboosh
- refresh config.sub for amd64; release 7

Revision 1.19  2004/04/04 14:42:23  qboosh
- License is BSD

Revision 1.18  2004/04/04 14:36:28  qboosh
- added build patch, use net-snmp, release 6 for Ac

Revision 1.17  2003/05/28 13:00:15  malekith
- massive attack: source-md5

Revision 1.16  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.15  2002/11/29 22:45:55  ankry
- massive attack: new %%doc

Revision 1.14  2002/10/21 00:26:11  kloczek
- release 5: rebuild against ucd-snmp 4.2.6.

Revision 1.13  2002/05/21 23:14:21  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.12  2002/05/13 10:06:42  kloczek
- release 4: rebuild against ucd-snmp-deve 4.2.5.

Revision 1.11  2002/02/23 04:17:26  kloczek
- adapterized.

Revision 1.10  2002/02/22 23:29:23  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/01/18 02:14:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/12/15 16:41:04  kloczek
- release 3,
- rebuild against ucd-snmp 4.2.3,
- add -fno-exceptions -fno-rtti -fno-implicit-templates to C++ compilation
  flags (smaller output binaries).

Revision 1.7  2001/11/07 01:09:20  kloczek
- release 2: rebuild against ucd-snmp 4.2.2.

Revision 1.6  2001/07/20 06:21:42  kloczek
- updated to 1.4,
- regenerate ac files and added ac_fixes patch (spec is ac 2.5.x ready),
- enable snmp and ipv6 support (pcap do not compiles - disabled).

Revision 1.5  2001/04/13 03:49:17  kloczek
- updated to 1.3.2,
- added libstdc++-devel to BuildRequires.

Revision 1.4  2001/01/31 06:21:06  kloczek
- updated to 1.3.1.

Revision 1.3  2001/01/27 04:28:29  kloczek
- updated to 1.3.

Revision 1.2  2001/01/03 18:02:45  kloczek
- missing cvs keyword in %changelog ans few other small cleanups.
